diff -Nur madwifi-trunk-r3314.orig/ath/if_ath.c madwifi-trunk-r3314/ath/if_ath.c
--- madwifi-trunk-r3314.orig/ath/if_ath.c	2008-12-25 10:08:44.000000000 +0100
+++ madwifi-trunk-r3314/ath/if_ath.c	2008-12-25 10:10:32.000000000 +0100
@@ -2931,7 +2931,7 @@
 	struct ieee80211com *ic = &sc->sc_ic;
 	struct ath_hal *ah = sc->sc_ah;
 	u_int32_t cc, rx;
-	u_int32_t time = 0;
+//	u_int32_t time = 0;
 
 	if (sc->sc_ah->ah_macType < 5212)
 		return;
@@ -4268,7 +4268,9 @@
 
 static void ath_poll_disable(struct net_device *dev)
 {
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,24)
 	struct ath_softc *sc = dev->priv;
+#endif
 
 	/*
 	 * XXX Using in_softirq is not right since we might
@@ -4286,7 +4288,9 @@
 
 static void ath_poll_enable(struct net_device *dev)
 {
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,24)
 	struct ath_softc *sc = dev->priv;
+#endif
 
 	/* NB: see above */
 	if (!in_softirq()) {
@@ -10989,7 +10993,6 @@
 ATH_SYSCTL_DECL(ath_sysctl_hwinfo, ctl, write, filp, buffer, lenp, ppos)
 {
 	struct ath_softc *sc = ctl->extra1;
-	struct ath_hal *ah = sc->sc_ah;
 	int ret = 0;
 
 	if (write)
diff -Nur madwifi-trunk-r3314.orig/net80211/ieee80211_proto.c madwifi-trunk-r3314/net80211/ieee80211_proto.c
--- madwifi-trunk-r3314.orig/net80211/ieee80211_proto.c	2008-12-25 10:08:44.000000000 +0100
+++ madwifi-trunk-r3314/net80211/ieee80211_proto.c	2008-12-25 10:09:28.000000000 +0100
@@ -1081,8 +1081,6 @@
 int
 ieee80211_open(struct net_device *dev)
 {
-	struct ieee80211vap *vap = dev->priv;
-
 	return ieee80211_init(dev, 0);
 }
 
diff -Nur madwifi-trunk-r3314.orig/net80211/ieee80211_scan_ap.c madwifi-trunk-r3314/net80211/ieee80211_scan_ap.c
--- madwifi-trunk-r3314.orig/net80211/ieee80211_scan_ap.c	2008-12-25 10:08:44.000000000 +0100
+++ madwifi-trunk-r3314/net80211/ieee80211_scan_ap.c	2008-12-25 10:09:28.000000000 +0100
@@ -211,8 +211,8 @@
 {
 	struct ap_state *as 	    = ss->ss_priv;
 	struct ieee80211com *ic     = NULL;
-	int i;
-	unsigned int mode = 0;
+//	int i;
+//	unsigned int mode = 0;
 
 	SCAN_AP_LOCK_IRQ(as);
 	ic = vap->iv_ic;
diff -Nur madwifi-trunk-r3314.orig/net80211/ieee80211_scan_sta.c madwifi-trunk-r3314/net80211/ieee80211_scan_sta.c
--- madwifi-trunk-r3314.orig/net80211/ieee80211_scan_sta.c	2008-12-25 10:08:44.000000000 +0100
+++ madwifi-trunk-r3314/net80211/ieee80211_scan_sta.c	2008-12-25 10:09:32.000000000 +0100
@@ -344,9 +344,9 @@
 {
 	struct ieee80211com *ic = vap->iv_ic;
 	struct sta_table *st = ss->ss_priv;
-	enum ieee80211_phymode mode;
-	struct ieee80211_channel *c;
-	int i;
+//	enum ieee80211_phymode mode;
+//	struct ieee80211_channel *c;
+//	int i;
 
 	ss->ss_last = 0;
 	ieee80211_scan_add_channels(ic, ss, vap->iv_des_mode);
